Subject: [alpine-aports] [PATCH] main/perl-yaml-xs: new aport

From: Valery Kartel <[email-masked]>
Date: Thu, 29 Oct 2015 14:59:20 +0200

---
 main/perl-yaml-xs/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 main/perl-yaml-xs/APKBUILD

diff --git a/main/perl-yaml-xs/APKBUILD b/main/perl-yaml-xs/APKBUILD
new file mode 100644
index 0000000..339e753
--- /dev/null
+++ b/main/perl-yaml-xs/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=perl-yaml-xs
+_pkgreal=YAML-LibYAML
+pkgver=0.59
+pkgrel=0
+pkgdesc="Perl YAML Serialization using XS and libyaml"
+url="http://search.cpan.org/dist/YAML-LibYAML/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/I/IN/INGY/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="733e63b743088781eb8cad6477cd4905  YAML-LibYAML-0.59.tar.gz"
+sha256sums="9df424ef5e968054042cacafa2f44354a662329df974d178dffce7529fc99f54  YAML-LibYAML-0.59.tar.gz"
+sha512sums="0c0bdbd7d93352b1e60f41f185f2947b163a9ea7074945c933850a3d165f75dd202403406f9e355e78535ae7d1726f2328dc006af7a01a6f30c48999013da3bc  YAML-LibYAML-0.59.tar.gz"
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---